<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * Template Name: Business Layout
 *
 * @package bizmark
 */

get_header();
?>

<?php if( 'page' == get_option( 'show_on_front' ) ): ?>


	<?php 
			
			if( 'no' != get_theme_mod('bizmark_show_welcome') ): 
			
			$bizmarkWelcomePostTitle = '';
			$bizmarkWelcomePostDesc = '';
			
			if( '' != get_theme_mod('bizmark_welcome_post') && 'select' != get_theme_mod('bizmark_welcome_post') ){
				
				$bizmarkWelcomePostId = get_theme_mod('bizmark_welcome_post');
				
				if( ctype_alnum($bizmarkWelcomePostId) ){

					$bizmarkWelcomePost = get_post( $bizmarkWelcomePostId );
				
					$bizmarkWelcomePostTitle = $bizmarkWelcomePost->post_title;
					$bizmarkWelcomePostDesc = $bizmarkWelcomePost->post_excerpt;
					
				}
				
			}
			
			
			
	?>
	<div class="frontpage-welcome-container">

		<h1><?php echo esc_html($bizmarkWelcomePostTitle); ?></h1>
		<div><?php echo esc_attr($bizmarkWelcomePostDesc); ?></div>

	</div><!-- .frontpage-welcome-container -->
	<?php endif; ?>

	<?php

		if( 'no' != get_theme_mod('bizmark_show_services') ):
		
	?>

	<div class="bizone-items">

			<?php
				
				if( '' != get_theme_mod('bizmark_products_one') && 'select' != get_theme_mod('bizmark_products_one') ):
				
				$bizmarkProductOneTitle = '';
				$bizmarkProductOneDesc = '';
				$bizmarkProductOneUrl = '';
				$bizmarkProductOneImage = '';			
				
				$bizmarkProductOneId = get_theme_mod('bizmark_products_one');
				
				if( ctype_alnum($bizmarkProductOneId) ){

					$bizmarkProductOne = get_post( $bizmarkProductOneId );
				
					$bizmarkProductOneTitle = $bizmarkProductOne->post_title;
					$bizmarkProductOneDesc = $bizmarkProductOne->post_excerpt;
					$bizmarkProductOneUrl = get_permalink( $bizmarkProductOneId );
					
					if( has_post_thumbnail($bizmarkProductOneId) ){
						$bizmarkProductOneImage = wp_get_attachment_image_src( get_post_thumbnail_id( $bizmarkProductOneId ), 'full' );
						$bizmarkProductOneImage = $bizmarkProductOneImage[0];
					}				
					
				}			
				
			?>
			<div class="bizone-item">
			
				<div class="bizone-image">
					
					<?php 
							
						if( '' != $bizmarkProductOneImage ){
							echo '<a href="' . esc_url($bizmarkProductOneUrl) . '"><img src="' . esc_url($bizmarkProductOneImage) . '" /></a>';
						} 
							
					?>				
					
				</div><!-- .bizone-image -->
				
				<div class="bizone-content">
				
					<h3><a href="<?php echo esc_url($bizmarkProductOneUrl); ?>"><?php echo esc_html($bizmarkProductOneTitle); ?></a></h3>
					<div>
						<?php echo esc_html($bizmarkProductOneDesc); ?>		
					</div>	
				
				</div><!-- .bizone-content -->		
			
			</div><!-- .bizone-item -->
			<?php endif; ?>
			
			<?php
				
				if( '' != get_theme_mod('bizmark_products_two') && 'select' != get_theme_mod('bizmark_products_two') ):
				
				$bizmarkProductTwoTitle = '';
				$bizmarkProductTwoDesc = '';
				$bizmarkProductTwoUrl = '';
				$bizmarkProductTwoImage = '';			
				
				$bizmarkProductTwoId = get_theme_mod('bizmark_products_two');
				
				if( ctype_alnum($bizmarkProductTwoId) ){

					$bizmarkProductTwo = get_post( $bizmarkProductTwoId );
				
					$bizmarkProductTwoTitle = $bizmarkProductTwo->post_title;
					$bizmarkProductTwoDesc = $bizmarkProductTwo->post_excerpt;
					$bizmarkProductTwoUrl = get_permalink( $bizmarkProductTwoId );
					
					if( has_post_thumbnail($bizmarkProductTwoId) ){
						$bizmarkProductTwoImage = wp_get_attachment_image_src( get_post_thumbnail_id( $bizmarkProductTwoId ), 'full' );
						$bizmarkProductTwoImage = $bizmarkProductTwoImage[0];
					}				
					
				}			
				
			?>
			<div class="bizone-item">
			
				<div class="bizone-image">
					
					<?php 
							
						if( '' != $bizmarkProductTwoImage ){
							echo '<a href="' . esc_url($bizmarkProductTwoUrl) . '"><img src="' . esc_url($bizmarkProductTwoImage) . '" /><a>';
						} 
							
					?>				
					
				</div><!-- .bizone-image -->
				
				<div class="bizone-content">
				
					<h3><a href="<?php echo esc_url($bizmarkProductTwoUrl); ?>"><?php echo esc_html($bizmarkProductTwoTitle); ?></a></h3>
					<div>
						<?php echo esc_html($bizmarkProductTwoDesc); ?>		
					</div>	
				
				</div><!-- .bizone-content -->		
			
			</div><!-- .bizone-item -->
			<?php endif; ?>

			<?php
				
				if( '' != get_theme_mod('bizmark_products_three') && 'select' != get_theme_mod('bizmark_products_three') ):
				
				$bizmarkProductThreeTitle = '';
				$bizmarkProductThreeDesc = '';
				$bizmarkProductThreeUrl = '';
				$bizmarkProductThreeImage = '';			
				
				$bizmarkProductThreeId = get_theme_mod('bizmark_products_three');
				
				if( ctype_alnum($bizmarkProductThreeId) ){

					$bizmarkProductThree = get_post( $bizmarkProductThreeId );
				
					$bizmarkProductThreeTitle = $bizmarkProductThree->post_title;
					$bizmarkProductThreeDesc = $bizmarkProductThree->post_excerpt;
					$bizmarkProductThreeUrl = get_permalink( $bizmarkProductThreeId );
					
					if( has_post_thumbnail($bizmarkProductThreeId) ){
						$bizmarkProductThreeImage = wp_get_attachment_image_src( get_post_thumbnail_id( $bizmarkProductThreeId ), 'full' );
						$bizmarkProductThreeImage = $bizmarkProductThreeImage[0];
					}				
					
				}			
				
			?>
			<div class="bizone-item">
			
				<div class="bizone-image">
					
					<?php 
							
						if( '' != $bizmarkProductThreeImage ){
							echo '<a href="' . esc_url($bizmarkProductThreeUrl) . '"><img src="' . esc_url($bizmarkProductThreeImage) . '" /></a>';
						} 
							
					?>				
					
				</div><!-- .bizone-image -->
				
				<div class="bizone-content">
				
					<h3><a href="<?php echo esc_url($bizmarkProductThreeUrl); ?>"><?php echo esc_html($bizmarkProductThreeTitle); ?></a></h3>
					<div>
						<?php echo esc_html($bizmarkProductThreeDesc); ?>		
					</div>	
				
				</div><!-- .bizone-content -->		
			
			</div><!-- .bizone-item -->
			<?php endif; ?>		

	</div>
	<?php endif; ?>

<?php else : ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main">

		<?php
		if ( have_posts() ) :

			if ( is_home() && ! is_front_page() ) :
				?>
				<header>
					<h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
				</header>
				<?php
			endif;

			/* Start the Loop */
			while ( have_posts() ) :
				the_post();

				/*
				 * Include the Post-Type-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				 */
				get_template_part( 'template-parts/content', get_post_type() );

			endwhile;

			the_posts_navigation();

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php get_sidebar(); ?>

<?php endif; ?>

<?php
get_footer();
